package com.ynet.life.controller;

import com.ynet.gene.core.Context;
import com.ynet.life.exception.TranFailException;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_controller.jar:com/ynet/life/controller/LifeAccessCenter.class */
public class LifeAccessCenter {
    private static LifeAccessInterface ACCESS;

    private LifeAccessCenter() {
    }

    public static void initialize(LifeAccessInterface access) {
        ACCESS = access;
    }

    public static void checkSubmitTimestamp(HttpServletRequest request, Context sessionContext) throws TranFailException {
        ACCESS.checkSubmitTimestamp(request, sessionContext);
    }

    public static void checkUserPrivilege(HttpServletRequest request, String mvcName, Context sessionContext) throws TranFailException {
        ACCESS.checkUserPrivilege(request, mvcName, sessionContext);
    }

    public static void checkFlowTrace(String mvcName, Context sessionContext) throws TranFailException {
        ACCESS.checkFlowTrace(mvcName, sessionContext);
    }

    public static void checkFormValidation(String mvcName, HttpServletRequest request) throws TranFailException {
        ACCESS.checkFormValidation(mvcName, request);
    }

    public static void checkHttpGENESID(HttpServletRequest request, Context sessionContext) throws TranFailException {
        ACCESS.checkHttpGENESID(request, sessionContext);
    }

    public static void checkClientIP(HttpServletRequest request, Context sessionContext) throws TranFailException {
        ACCESS.checkClientIP(request, sessionContext);
    }

    public static void verifFormData(String mvcName, HttpServletRequest request, Context sessionContext) throws TranFailException {
        ACCESS.verifFormData(mvcName, request, sessionContext);
    }
}
